cURL
curl --request PUT \
--url https://api.example.com/api/v1/user/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"meta": {},
"roles": [
"<string>"
]
}
'import requests
url = "https://api.example.com/api/v1/user/{id}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"meta": {},
"roles": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({firstName: '<string>', lastName: '<string>', meta: {}, roles: ['<string>']})
};
fetch('https://api.example.com/api/v1/user/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"tenantId": 123,
"organisationId": 123,
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"externalId": "<string>",
"meta": {},
"roles": [
"<string>"
]
}User Route
Put apiv1user
PUT
/
api
/
v1
/
user
/
{id}
cURL
Authorizations
Authentication
Path Parameters
Body
application/json
Response
200 - application/json
OK
Unique identifier of the entity
Example:
1
Time when entity was created
Time when entity was updated
Status of the entity. Default: 'ACTIVE'
Available options:
ACTIVE, DISABLED, DELETED ID of the tenant
ID of the organisation
The user's first name.
The user's last name.
The user's email address.
Id of the user on auth service.
A map the user's meta properties
Show child attributes
Show child attributes
A list of the user's roles.
⌘I